from functions import CurrentDir
import os, osproc, times, nsiface, strformat, strutils

ClearOutput()
let websearch = CurrentDir().joinPath("websearch.exe")
if not websearch.fileExists():
  OutputConsole(fmt("!> ERROR: Can't find file \"{websearch}\"!"))
  quit(QuitFailure)

let 
  app = getAppFilename().replace("\\", "\\\\")
  time = now().format("[HH:mm:ss]")
OutputConsole(fmt(">> Nim-SciTE-Interface [v{verNSI}] by @BugFix\\n-> {time} Running: {app}"))

# get selected text from SciTE
let sel = LuaFuncGet(LuaGetSelection, ParseLuaSelection, EditorSelection)

# auch möglich mit Default Parser, da nur Text (nicht Länge) benötigt:
# let sel = LuaFuncGet("editor:GetSelText()") 

OutputConsole(fmt("+> Selection: {sel.text}"))

# make cmdLine & execute
let cmd = fmt("\"{websearch}\" {sel.text}")
discard execCmd(cmd)

